
NNTPGrab - Bug # 84: Connect dialog doesn't remember last used connection

Status: Closed Priority: Normal

Author: Alguno Category: Qt GUI (regular GUI)

Created: 08/16/2011 Assigned to: Alguno

Updated: 08/18/2011 Due date:

Subject: Connect dialog doesn't remember last used connection

Description: As mentioned in http://www.nntpgrab.nl/boards/2/topics/257 the Qt frontend currently doesn't remember the 

last host/port used to connect to a NNTPGrab Server.


Due to this, users have to re-enter the host/port again every time they start NNTPGrab

Associated revisions

08/18/2011 10:34 pm - Alguno

- The Qt frontend didn't remember the last used host/port which was used to connect to a NNTPGrab Server.

  This is implemented now. Thanks to chrashoverraid for creating the patch! Closes #84

- When switching to the configuration tab in the Qt frontend, no selection was initially shown in the list of configuration categories. Fixed

History

08/18/2011 12:17 am - chrashoverraid

- File nntpgrab.patch added

I've implemented this feature :)


Didn't test it very well but I think it should work.


(I copied the code from the GTK gui.)





See patch for the code.

08/18/2011 10:35 pm - Alguno

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset r1880.

Snapshots can be found at the following URLs:

Win32: http://snapshots.nntpgrab.nl/win32/unstable-trunk/nntpgrab_trunk_snapshot_svn_r1880_setup.exe

Win64: http://snapshots.nntpgrab.nl/win64/unstable-trunk/nntpgrab_trunk_snapshot_svn_r1880_setup_x64.exe

Mac OS X: http://snapshots.nntpgrab.nl/osx/unstable-trunk/NNTPGrab_unstable_r1880.zip

Files

nntpgrab.patch 4 KB 08/18/2011 chrashoverraid
